My adapters I have work with certain distros, but not others. I do not want to use NDISwrapper. If it works for some, then the drivers are on those distros, so it stands to reason there might be a package to get these drivers. Please let me know, thanks.